List dashboards as code (deprecated)
List dashboards as code (deprecated)
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
ids | array[string] | No | |
offset | number | No | |
languageMap | boolean | No |
Responses
200 — Success
{
"results": {
"offset": 0,
"total": 0,
"spaces": [
{
"access": {
"groups": [
{
"role": "viewer",
"name": "string"
}
],
"users": [
{
"role": "viewer",
"email": "string"
}
],
"projectMemberAccessRole": {},
"inheritParentPermissions": true
},
"slug": "string",
"spaceName": "string",
"version": 1,
"contentType": "space"
}
],
"missingIds": [
"string"
],
"languageMap": [
{
"dashboard": {}
}
],
"dashboards": [
{
"description": "string",
"parameters": {
"property": {
"value": "string",
"parameterName": "string"
}
},
"config": {
"customMetrics": [
{
"label": "string",
"type": "percentile",
"description": "string",
"sql": "string",
"hidden": true,
"round": 0,
"compact": "auto",
"format": "km",
"separator": "default",
"table": "string",
"name": "string",
"index": 0,
"filters": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fieldRef": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true
}
],
"baseDimensionName": "string",
"baseMetricName": "string",
"uuid": "string",
"percentile": 0,
"distinctKeys": [
"string"
],
"formatOptions": {
"type": "default",
"round": 0,
"separator": "default",
"currency": "string",
"compact": "auto",
"prefix": "string",
"suffix": "string",
"timeInterval": "RAW",
"custom": "string"
},
"generationType": "periodOverPeriod",
"baseMetricId": "string",
"timeDimensionId": "string",
"granularity": "RAW",
"periodOffset": 0
}
],
"requiredFiltersNote": "string",
"dateZoomConfig": {
"tileTargets": {
"property": {
"tableName": "string",
"fieldId": "string",
"controlUuid": "string"
}
},
"controls": [
{
"hidden": true,
"granularity": "Second",
"name": "string",
"uuid": "string"
}
]
},
"defaultDateZoomGranularity": "Second",
"dateZoomGranularities": [
"Second"
],
"parameterOrder": [
"string"
],
"pinnedParameters": [
"string"
],
"isAddFilterDisabled": true,
"isDateZoomDisabled": true
},
"verification": {
"verifiedAt": "2024-01-01T00:00:00.000Z",
"verifiedBy": {
"lastName": "string",
"firstName": "string",
"userUuid": "string"
}
},
"verified": true,
"ownerEmail": "string",
"filters": {
"tableCalculations": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"lockedTabUuids": [
"string"
],
"requiredGroupId": "string",
"singleValue": true,
"label": "string",
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
}
}
],
"metrics": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"lockedTabUuids": [
"string"
],
"requiredGroupId": "string",
"singleValue": true,
"label": "string",
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
}
}
],
"dimensions": [
{
"label": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"operator": "isNull",
"values": [
"string"
],
"includeNull": true,
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
},
"singleValue": true,
"requiredGroupId": "string",
"lockedTabUuids": [
"string"
]
}
]
},
"downloadedAt": "2024-01-01T00:00:00.000Z",
"spaceSlug": "string",
"contentType": "dashboard",
"version": 0,
"tiles": [
{
"tabUuid": "string",
"tabSlug": "string",
"w": 0,
"h": 0,
"y": 0,
"x": 0,
"type": "saved_chart",
"tileSlug": "string",
"uuid": "string",
"properties": {
"title": "string",
"hideTitle": true,
"chartName": "string",
"chartSlug": "string"
}
}
],
"updatedAt": "2024-01-01T00:00:00.000Z",
"tabs": [
{
"hidden": true,
"order": 0,
"name": "string",
"uuid": "string",
"slug": "string"
}
],
"slug": "string",
"name": "string"
}
]
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}